Package org.apache.any23.cli

## Class Rover

- java.lang.Object
- - org.apache.any23.cli.Rover

- All Implemented Interfaces:
    `Tool`

      public class Rover
      extends Object

  A default rover implementation. Goes and fetches a URL using an hint as to what format should require, then tries to convert it to RDF.
  Author:
    Michele Mostarda (mostarda@fbk.eu), Richard Cyganiak (richard@cyganiak.de), Gabriele Renzi, Hans Brende (hansbrende@apache.org)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `Rover.ArgumentToIRIConverter` |
    `static class` | `Rover.PrintStreamConverter` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected List<String>` | `inputIRIs` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Rover()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `close()` |
    `protected void` | `configure()` |
    `protected void` | `performExtraction​(DocumentSource documentSource)` |
    `protected String` | `printReports()` |
    `void` | `run()` | Runs the tool and retrieves the exit code.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### inputIRIs

          protected List<String> inputIRIs

  - ### Constructor Detail

    - #### Rover

          public Rover()

  - ### Method Detail

    - #### configure

          protected void configure()

    - #### printReports

          protected String printReports()

    - #### performExtraction

          protected void performExtraction​(DocumentSource documentSource)
                                    throws Exception

      Throws:
        `Exception`

    - #### close

          protected void close()

    - #### run

          public void run()
                   throws Exception

      Description copied from interface: `Tool`
      Runs the tool and retrieves the exit code.
      Throws:
        `Exception` - if there is an error running the tool.